Name: checkpasswordage
Version: 2.0
Release: alt1
License: GPL
Group: System/Configuration/Other
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

BuildArch: noarch

Requires: perl-base
Requires: perl-Authen-SASL 
Requires: perl-ldap
Requires: perl-GSSAPI
Requires: perl-Date-Calc-XS
Requires: perl-Config-INI
Requires: perl-Gtk2
Requires: zenity
Requires: xterm

Summary: Simple domain password age checking

Url: https://altrepo.ru

Source: %name-%version.tgz

%description -l ru_RU.UTF-8 
Уведомление о истекающем сроке действия пароля.

%prep
%setup

%install
%makeinstall_std

%post
ln -s %_bindir/checkPasswordAge  %_bindir/checkpasswordage

%postun
rm -f %_bindir/checkpasswordage

%files
%_bindir/checkPasswordAge
%_sysconfdir/checkPasswordAge.conf
%_datadir/doc/%name-%version/examples/*.sh
%_desktopdir/checkPasswordAge.desktop
%_iconsdir/%name/checkPasswordAge.xpm



%changelog
* Mon Feb 24 2024   Anton Shevtsov <shevtsov.anton@gmail.com> 2.0-alt1
- First public version
- Completely rewritten code and logic

* Thu Jun 3 2021  Anton Shevtsov <x09@altlinux.org> 1.0.3-alt1
- Add notification to install script

* Fri May 14 2021 Anton Shevtsov <x09@altlinux.org> 1.0.2-alt1
- Add desktop file for install script
- Change name to %name

* Mon Dec 8 2020 Anton Shevtsov <x09@altlinux.org> 1.0.1-alt1
- Fix crontab, config, help errors

* Mon Dec 7 2020 Anton Shevtsov <x09@altlinux.org> 1.0-alt4
- First version
